orte/mca/iof/proxy/iof_proxy_svc.h File Reference.TH "orte/mca/iof/proxy/iof_proxy_svc.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/iof/proxy/iof_proxy_svc.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mca/iof/iof.h'\fP
.br
\fC#include 'mca/ns/ns.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_iof_proxy_svc_publish\fP (const orte_process_name_t *name, int tag)"
.br
.RI "\fIPublish endpoint to forwarding service. \fP"
.ti -1c
.RI "int \fBorte_iof_proxy_svc_unpublish\fP (const orte_process_name_t *name, \fBorte_ns_cmp_bitmask_t\fP mask, int tag)"
.br
.ti -1c
.RI "int \fBorte_iof_proxy_svc_subscribe\fP (const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, int src_tag, const orte_process_name_t *dst_name, \fBorte_ns_cmp_bitmask_t\fP dst_mask, int dst_tag)"
.br
.RI "\fISubscribe one/more destination processes as specified by the process name/mask to one/more source processes. \fP"
.ti -1c
.RI "int \fBorte_iof_proxy_svc_unsubscribe\fP (const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, int src_tag, const orte_process_name_t *dst_name, \fBorte_ns_cmp_bitmask_t\fP dst_mask, int dst_tag)"
.br
.RI "\fIRemove subscription from forwarding service. \fP"
.ti -1c
.RI "void \fBorte_iof_proxy_svc_recv\fP (int status, orte_process_name_t *peer, struct iovec *msg, int count, \fBorte_rml_tag_t\fP tag, void *cbdata)"
.br
.RI "\fIDispatch messages received from forwarding service. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
